Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface RepeatFeatureAdaptor

All Superinterfaces:
  Adaptor, FeatureAdaptor, java.rmi.Remote

public interface RepeatFeatureAdaptor
extends FeatureAdaptor

Provides access to RepeatFeatures in the datasource.

Field Summary
`static java.lang.String` | `TYPE` Name of the default RepeatFeatureAdaptor available from a driver.

Method Summary
`void` | `delete(long internalID)`
`void` | `delete(RepeatFeature repeat)`
`java.util.List` | `fetch(Location location)` Warning: some repeats are stored unstranded (strand=0) which can produce unexpected results.
`RepeatFeature` | `fetch(long internalID)`
`long` | `store(RepeatFeature repeat)`

Methods inherited from interface org.ensembl.driver.FeatureAdaptor
`convertLocations, fetch, fetch, fetch, fetchAll, fetchAll, fetchCount, fetchInternalIDs, fetchInternalIDs, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default RepeatFeatureAdaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### fetch

    public RepeatFeature fetch(long internalID)
                        throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Location location)
                         throws AdaptorException

  Warning: some repeats are stored unstranded (strand=0) which can produce unexpected results. If location.strand = +1 or -1 then repeats where repeat.location.strand=0 will be omitted from the result. The solution is to set location.strand=0 and then filter out the those on the strand you are not interested in.

  Specified by:
    `fetch` in interface `FeatureAdaptor`
  Parameters:
    `location` - location filter.
  Returns:
    List containing zero or more items overlaping the location.
  Throws:
    `AdaptorException`
  See Also:
    `if you want to include child data.`

### store

    public long store(RepeatFeature repeat)
               throws AdaptorException

  Throws:
    `AdaptorException`

### delete

    public void delete(long internalID)
                throws AdaptorException

  Throws:
    `AdaptorException`

### delete

    public void delete(RepeatFeature repeat)
                throws AdaptorException

  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD